Problèmes courants

Ça ne fonctionne pas

Sous Debian/Ubuntu, vérifiez que les paquets php et php-sqlite sont installés. Si ça ne fonctionne toujours pas, essayez de lancer la commande sudo phpenmod sqlite3.

Je n'ai pas de Virtual Host / sous-domaine à dédier à Garradin, comment faire ?

Le mieux est d'utiliser un sous-domaine dédié, le fonctionnement de Garradin sans vhost dédié n'est pas supporté officiellement.

En alternative voir la page Installation sans vhost pour des solutions communautaires à ce problème.

J'ai un message "Impossible de détecter le chemin d'accès web"

Cela signifie qu'il n'est pas possible de configurer automatiquement le chemin web d'accès à l'application. C'est notamment le cas chez l'hébergeur Ionos 1and1.

Il vous faut connaître et configurer manuellement le chemin d'accès web.

Par exemple dans l'adresse http://compta.mon-asso.tld/, le chemin d'accès est /, (cas où Garradin est installé dans un sous-domaine dédié) et dans l'exemple http://mon-asso.tld/compta/ (installé dans un sous-répertoire), le chemin d'accès est /compta/.

Une fois que vous avez identifié le chemin d'accès, il faut l'inscrire dans le fichier config.local.php de cette manière :

<?php

namespace Garradin;

const WWW_URI = "CHEMIN";

Remplacez CHEMIN par le chemin d'accès identifié précédemment.

Message d'erreur à la sélection de compte ou de membre dans un formulaire

Sur Firefox j'ai un message "Firefox ne peut pas ouvrir cette page" lorsque je clique sur le bouton pour sélectionner un compte. Ou dans les navigateurs basés sur Chrome (Vivaldi, Opera, Edge, etc.) j'ai un message "[site web] n’autorise pas la connexion".

À partir de la 1.0.0, Garradin utilise des iframe pour afficher le sélecteur de comptes. Pour des raisons de sécurité, certains serveurs web/hébergeurs désactivent la possibilité d'utiliser des iframes. Il faut pour cela ajouter l'header HTTP :

X-Frame-Options: SAMEORIGIN

Pour Apache, il faut ajouter cette ligne à la configuration de votre vhost :

Header always set X-Frame-Options "SAMEORIGIN"

Pour nginx ajouter ceci :

add_header X-Frame-Options SAMEORIGIN always;

Messages d'erreur

Si vous obtenez un message d'erreur à l'installation de Garradin, voici quelques explications sur leur signification.

Syntax error: unexpected T_STRING in (...) on line 2

Version de Garradin trop ancienne, merci de mettre à jour.

PHP Parse error: syntax error, unexpected '.', expecting ']'

Version de PHP trop ancienne.

PHP X.Y ou supérieur requis. PHP version (x).(y) installée.

Version de PHP trop ancienne. Mettez à jour votre PHP ou contactez votre hébergeur.

L'algorithme de hashage de mot de passe Blowfish n'est pas présent

Garradin utilise blowfish pour hasher de manière sécurisée les mots de passes. S'il n'est pas disponible c'est que votre version de PHP a été compilée sans. Recompilez PHP avec Blowfish ou contactez votre hébergeur.

Le module de base de données SQLite3 n'est pas disponible

Garradin utilise la base de données SQLite3 pour stocker les données. Si vous êtes sous Debian/Ubuntu faites 'sudo apt-get install php-sqlite3' pour l'installer. Sinon contactez votre hébergeur.

SQLite3 version X.Y.Z ou supérieur requise. Version installée : …

Votre version de SQLite3 est trop vieille, il faut la mettre à jour ou contacter votre hébergeur.

Le répertoire XXX n'est pas accessible en lecture/écriture.

Garradin doit pouvoir lire et écrire dans ce répertoire. Si vous êtes en hébergement mutualisé il faudra faire un chmod 777 sur les répertoires suivants :

  • cache
  • cache/compiled
  • cache/static
  • / (répertoire racine)